Org Cost Breakdown
curl --request GET \
--url https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"period": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"label": "<string>"
},
"total_cost_usd": 123,
"included_cost_usd": 123,
"apps": [
{
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"total_cost_usd": 123
}
],
"lines": [
{
"rate_key": "<string>",
"label": "<string>",
"quantity": 123,
"unit": "<string>",
"display_unit": "<string>",
"rate": 123,
"display_rate": 123,
"rate_card_version": "<string>",
"effective_from": "2023-11-07T05:31:56Z",
"cost_usd": 123,
"resource_type": "<string>",
"env": "<string>"
}
]
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}billing
Org Cost Breakdown
Return per-app compute cost totals for the org over a billing period.
GET
/
v1
/
billing
/
orgs
/
me
/
cost-breakdown
Org Cost Breakdown
curl --request GET \
--url https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/billing/orgs/me/cost-breakdown")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"period": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"label": "<string>"
},
"total_cost_usd": 123,
"included_cost_usd": 123,
"apps": [
{
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"total_cost_usd": 123
}
],
"lines": [
{
"rate_key": "<string>",
"label": "<string>",
"quantity": 123,
"unit": "<string>",
"display_unit": "<string>",
"rate": 123,
"display_rate": 123,
"rate_card_version": "<string>",
"effective_from": "2023-11-07T05:31:56Z",
"cost_usd": 123,
"resource_type": "<string>",
"env": "<string>"
}
]
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A floo_ API key.
Headers
Organization to act in; defaults to the one joined most recently.
Query Parameters
Period to query: "current_billing_period", "current_month", "last_month", or "last_7d".
Response
Successful Response
Org-level cost breakdown — per-app totals for a billing period.